pango-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.ValueType A pair of a and the glyphs resulting from shaping the text corresponding to an item. As an example of the usage of , the results of shaping text with is a list of , each of which contains a list of .
- Method
  2.12.0.0
  Pango.GlyphItem[] `` `` a a Splits a shaped item () into multiple items based on an attribute list. a

  The idea is that if you have attributes that do not affect shaping, such as color or underline, to avoid affecting shaping, you filter them out (), apply the shaping process and then re-apply them to the result using this function.

  All attributes that start or end inside a cluster are applied to that cluster; for instance, if half of a cluster is underlined and the other-half strikethough, then the cluster will end up with both underline and strikethrough attributes. In these cases, it may happen that item->extra_attrs for some of the result items can have multiple attributes of the same type.

- Method
  2.12.0.0
  System.Void To be added To be added
- Property
  2.12.0.0
  System.Obsolete("Replaced by Glyphs property")
  Pango.GlyphString Obsolete alias for a
- Property
  2.12.0.0
  Pango.GlyphString the glyphs obtained by shaping the text corresponding to item. a
- Property
  2.12.0.0
  System.Obsolete("Replaced by Item property")
  Pango.Item Obsolete alias for a
- Property
  2.12.0.0
  Pango.Item a that provides information about a segment of text. a
- Method
  2.12.0.0
  System.Void `` `` `` a a a To be added To be added
- Method
  2.12.0.0
  Pango.GlyphItem `` a Internal method a This is an internal method, and should not be used by user code.
- Method
  2.12.0.0
  Pango.GlyphItem `` `` text to which positions in orig apply. byte index of position to split item, relative to the start of the item Splits an Item a representing the text before

  Modifies orig to cover only the text after , and returns a new item that covers the text before that used to be in orig. You can think of as the length of the returned item. may not be 0, and it may not be greater than or equal to the length of orig (that is, there must be at least one byte assigned to each item, you cannot create a zero-length item).

  This function is similar in function to (and uses it internally)
- Field
  2.12.0.0
  Pango.GlyphItem Returns an empty